/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { CustomFileMetadata } from "./CustomFileMetadata";
import type { FilePathDefinition } from "./FilePathDefinition";
import type { FileTagName } from "./FileTagName";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { SizeInBytes } from "./SizeInBytes";

/**
 * File upload initialization request.
 */
export type BeginUploadRequestV2 = {
  metadata?: CustomFileMetadata;
  mime?: MimeType;
  originalFileName?: OriginalFileName;
  path?: FilePathDefinition;
  size: SizeInBytes;
  tags?: Array<FileTagName>;
};
