/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { AccountId } from "./AccountId";
import type { EpochMillis } from "./EpochMillis";
import type { FileId } from "./FileId";
import type { FilePath } from "./FilePath";
import type { FileTag } from "./FileTag";
import type { FileUniquifier } from "./FileUniquifier";
import type { HttpUrl } from "./HttpUrl";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { SizeInBytes } from "./SizeInBytes";

export type FileSummaryExtended = {
  accountId: AccountId;
  fileId: FileId;
  mime: MimeType;
  name: OriginalFileName | null;
  size: SizeInBytes;
  tags: Array<FileTag>;
  uploadedAt: EpochMillis;
  filePath: FilePath;
  fileUniquifier: FileUniquifier;
  fileUrl: HttpUrl;
};
