import type { DeleteFolderScope } from "./DeleteFolderScope";
import type { FolderPath } from "./FolderPath";
export declare type DeleteFolder = {
    folderPath: FolderPath;
    /**
     * If true, does not delete (virtual folder) settings at the 'folderPath' or its descendents.
     *
     * Default: false
     */
    retainFolderSettings?: boolean;
    /**
     * Default: ThisFolder
     */
    scope?: DeleteFolderScope;
};
