/**
 * ThisFolder: deletes the folder specified by 'folderPath' if it contains no files and sub-folders. Fails otherwise.
 *
 * Descendents: deletes the files and folders contained within 'folderPath' and below, but not the folder object itself.
 *
 * All: deletes the files and folders that are or descend the path specified by 'folderPath'.
 */
export declare type DeleteFolderScope = "ThisFolder" | "Descendents" | "All";
